POST Agents/ErpSync/GetActorTypeMapping
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/ErpSync/GetActorTypeMapping
Get the current mappings for one connection/actor; connection+actor type = unique key
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The ErpSync agent is not available in Online by default. Access must be requested specifically when app is registered. Intended for ERP integration apps.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/ErpSync/GetActorTypeMapping?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
ErpConnectionId, ActorType
| Property Name | Type | Description |
|---|---|---|
| ErpConnectionId | Integer | |
| ActorType | String |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ErpSyncActorTypeMapping
| Property Name | Type | Description |
|---|---|---|
| ErpConnectionId | int32 | Primary key |
| IsActive | bool | Is this sync mapping active |
| FieldMappings | array | Array of individual field mappings; explicitly map to empty CrmFieldKey to indicate non-sync |
| ActorTypeErp | string | The actor type (ERP side) |
| ActorTypeCrm | string | The actor type (CRM side) |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/ErpSync/GetActorTypeMapping
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"ErpConnectionId": 558,
"ActorType": "Customer"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ErpConnectionId": 970,
"IsActive": true,
"FieldMappings": [
{
"ErpFieldId": 691,
"CrmFieldKey": "contact/name",
"CrmDisplayName": "Company Name",
"CrmDisplayTooltip": "Name of the company in SuperOffice CRM",
"ErpFieldKey": "customer_name",
"FieldType": "Text",
"ErpDisplayName": "Customer Name",
"ErpDisplayTooltip": "Customer name in ERP system",
"SyncToCrm": true,
"SyncToErp": true,
"ShowInGui": true,
"ShowInSearch": true,
"AlreadyMapped": true,
"MissingInERP": false,
"MissingInCRM": false,
"Access": "Mandatory",
"ListReference": "",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 637
}
}
}
],
"ActorTypeErp": "Customer",
"ActorTypeCrm": "Contact",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 913
}
}
}